Bug 4609 - error after adding printer driver from vista
error after adding printer driver from vista
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Printing
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 04:52 UTC by Björn Jacke
Modified: 2009-06-18 10:42 UTC (History)
1 user (show)

See Also:


Attachments
See details in the comment by ofira@expand.com (337.55 KB, application/x-compressed-tar)
2007-08-27 08:02 UTC, Ofir Azoulay
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2007-05-10 04:52:41 UTC
after adding a printer driver from a vista machine vista gives an error message saying that the printer settings could not be saved ... Error 0x0000007a. The printer driver however seems to be added correctly anyway.

Interesting in the logs is that samba does not find a architecture in the getprinterdriverdirectory call in the end.

This is 3.0.25rc3
Comment 1 Björn Jacke 2007-05-10 04:57:18 UTC
logs/sniffs too big for bugzilla - you can find it here:
http://www.j3e.de/samba-vista-adddriver-bug/
Comment 2 Ofir Azoulay 2007-08-27 08:02:25 UTC
Created attachment 2892 [details]
See details in the comment by ofira@expand.com

Hi,

I'm also facing problems when adding a new printer from Vista using the "Add Printer Wizard" and samba 3.0.25b.

Attached vista_add_printer.tgz which contains the samba log file - vista/log.admin-pc.
The tcpdump file for the try and fail was too big for the attachment. Please tell me if you need it.

First issue was that the AddPort request structure is different from the one passed from XP - I've done some "reverse engineering" to be able to over come it, assuming the version in the request indicates on the structure - see vista/suggested_preliminary_patch in the attachment.

Then, there is an issue with the AddPrinter request - what I've succeeded to understand, is that Vista does not pass the share name - since it is missing in the Wizard. Trying to do it against a Win2003 server did succeed, since later on it (the Wizard) does ask for the share name.

Best regards,
Ofir.
Comment 3 Guenther Deschner 2009-06-11 17:28:11 UTC
Ok, vista printing support has improved a lot with 3.4 (currently 3.4.0pre2). Can people please re-test with that ?
Comment 4 Guenther Deschner 2009-06-18 10:42:56 UTC
(In reply to comment #2)
> Created an attachment (id=2892) [details]
> See details in the comment by ofira@expand.com
> 
> Hi,
> 
> I'm also facing problems when adding a new printer from Vista using the "Add
> Printer Wizard" and samba 3.0.25b.
> 
> Attached vista_add_printer.tgz which contains the samba log file -
> vista/log.admin-pc.
> The tcpdump file for the try and fail was too big for the attachment. Please
> tell me if you need it.
> 
> First issue was that the AddPort request structure is different from the one
> passed from XP - I've done some "reverse engineering" to be able to over come
> it, assuming the version in the request indicates on the structure - see
> vista/suggested_preliminary_patch in the attachment.

Absolutely right. Very good analysis. But we are not planning to bring back all the vista printing fixes back to 3.0.

If you could re-test with 3.4 that would be really helpful.

Closing as fixed for 3.4